#include <bits/stdc++.h>
using namespace std;
int main()
{
    int t,k;
    cin>>t;
int n;
cin >> n;
cin>>k;
vector<int> a(n);
for (int i = 0; i < n; i++)
cin >> a[i];
if(t==0){
    cout<<"DA"<<endl;
else
    count<<"NE"<<endl
return 0;}
    return 0;
}